Subject: Re: [PATCH 12/16] Automatically lmb_reserve() initrd

From: Michael Neuling <[email-masked]>
Date: Tue, 13 Feb 2007 18:14:19 +1100

> At present, when an initrd is passed to the kernel used flat device
> tree properties, the memory the initrd occupies must also be reserved
> in the flat tree's reserve map, or the kernel may overwrite it.  That
> makes life more complicated than it could be for the bootwrapper.
> 
> This patch makes the kernel automatically reserve the initrd's space.
> That in turn requires parsing the initrd parameters earlier than they
> are currently, in early_init_dt_scan_chosen() instead of
> check_for_initrd().

Cool... this should remove some code in kexec-tools as well.

Mikey